<?php
//-----------------------------------------------------------------------------
//
// Seccion de rangos de edad en los que insertarmlso distintos rangos de edad
//
//----------------------------------------------------------------------------
if ($todo_correcto){
/*
	Estamos cogiendo todos los valores que vamos a usar en los distintos modos
*/
$edad_i = dame_valor_variable_global("edad_i","") ;
$edad_f = dame_valor_variable_global("edad_f","") ;
$comentario = dame_valor_variable_global("comentario","");
$accion = dame_valor_variable_global("accion","");// vendrá vacío  siempre que no sea Upadte o Delete... que es obvio
$codigo = dame_valor_variable_global("codigo","");
if(strtolower($accion) == "del"){
// Si vamos a borrar
	if ($conexionBD){
			$sentencia = "DELETE FROM `rango_edad` WHERE codigo = $codigo";
			//echo $sentencia;
			$resultado = mysqli_query($conexionBD,$sentencia);	
	}
}else if (strtolower($accion) == "update"){
//Si vamos a Actualizar
	$sentencia = "UPDATE `rango_edad` SET `edad_inicial`= $edad_i,`edad_final`= $edad_f,`comentario`= '$comentario' WHERE `codigo` = $codigo";
			//echo $sentencia;
			$resultado = mysqli_query($conexionBD,$sentencia);	
}else{
//En el caso restante que es la inserción
	if ($conexionBD){
		if($edad_i != "" && $edad_f != ""){
			$sentencia = "INSERT INTO `rango_edad`( `edad_inicial`, `edad_final`, `comentario`) VALUES ($edad_i, $edad_f, '$comentario')";
			$resultado = mysqli_query($conexionBD,$sentencia);	
		}
	}
}
//Este Selec tenemos que dejarlo fuera de los if anteriores por que si no  nunca cargará la tabla de rangos si no es tras una inserción.
if($conexionBD){
	$sentencia_sql = "SELECT * FROM `rango_edad`";
		$resultado = mysqli_query($conexionBD, $sentencia_sql);
}
?>  
    <div id="opciones_top">
        <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
        <!--<div id="opcion_desconectar">
            <p><span>Desconectar</span><a href="<?=$direccion_empresa;?>index.php?logout=true" class="log_out"></a></p>
        </div>-->
    </div>
<div id="add_imagen">
	<h2 class="titulo"><?=traducir("Rangos de edad");?></h2>
	<p><?=traducir("Seccion para controlar los rangos de edad");?>.</p>
</div>
<div class="padre">
	<div class="half">
	<h3><?=traducir('Añadir un nuevo Rango');?></h3>
	<div id="aviso" class="aviso"></div>
		<form id="addEdad" enctype="multipart/form-data" method="POST" action="<?=Shop::$configuracion->url?>admin/rangos.php">
			<div class="box_edad_i">
				<label for="edad_i"><?= traducir('Edad inicial')?>:	</label>
				<input id="edad_i" type="text" name="edad_i" class="edad_i"/>
			</div>
			<div class="box_edad_f">
				<label for="edad_f"><?= traducir('Edad final')?>:	</label>
				<input id="edad_f" type="text" name="edad_f" class="edad_f"/>
			</div>
			<div class="box_comentario">
				<label for="comentario"><?= traducir('Comentario')?>:</label>
				<textarea id="comentario" name="comentario" class="comentario"></textarea>
			</div>
			<div class="botonera_rangos">
				<input id="enviar_form" type="submit" value="Enviar" />
				<input type="reset" value="Reset" />
			</div>
			<input id="accion" type="hidden" value="" name="accion" />
			<input id="codigo" type="hidden" value="" name="codigo" />
		</form>
	</div>
	<div class="half_2">
	<h3><?=traducir('Rangos actuales');?></h3>
		<table class="table">
			<tr>
				<th>Edad inicial</th>
				<th>Edad final</th>
				<th>Descripcion</th>
				<th>Editar</th>
				<th>Borrar</th>
			 </tr>			 
			<?php
			 while($fila = mysqli_fetch_array($resultado)){
			?>
			<tr>
				<td class="celda_edad"><?= $fila["edad_inicial"] ?></td>
				<td class="celda_edad"><?= $fila["edad_final"] ?></td>
				<td><?= $fila["comentario"] ?></td>
				<td class="td_center"><button data-id="<?= $fila["codigo"] ?>" class="boton_editar">Editar</button> </td>
				<td class="td_center"><button data-id="<?= $fila["codigo"] ?>" class="boton_borrar">X</button> </td>
			</tr>
			<?php
			}
			?>
		</table>
	</div>
</div>
<script>
var isEnviable = true;
/**
	Esta funcion se va a ejecutar siempre que se cambie algo en los recuadros de edades, marcará el aviso siempre que no esté correcto
*/
function checkEdad (){
		var edadi = $('.edad_i').val();
		var edadf = $('.edad_f').val();
		if(edadi > edadf){
			$('#aviso').text("La edad final debe de ser mayor que la edad inicial").show();
			isEnviable= false;
		}else{
			$('#aviso').hide();
			isEnviable = true;
		}
	}

	$(document).ready(function (){
	//Por asegurarnos de que todo funcione como debe esperamos que el DOM cargue antes de asignar ningun evento.
		$('.edad_i').focusout(checkEdad);
		$('.edad_f').focusout(checkEdad);
		$('#addEdad').submit(function(e){
			e.preventDefault();
			if(isEnviable){
				this.submit();
			}
		});
		//Evento para los botones borrar
		$(".boton_borrar").on("click", function(){
		var id = $(this).data('id');
		console.log(id);
			var ruta = "<?= Shop::$configuracion->url?>admin/rangos.php?accion=del&codigo="+id;
			console.log(ruta);
			if(confirm("¿Desea eliminar este elemento?")){
				window.location.href = ruta;
			}
		});
		//Evento para los botones eliminar
		$(".boton_editar").on("click", function(){
			var children = $(this).closest("tr").children("td");
			var edadi = $(children[0]).html();
			var edadf = $(children[1]).html();
			var comentario = $(children[2]).html();
			var codigo = $(this).data('id');
			$("#edad_i").val(edadi);
			$("#edad_f").val(edadf);
			$("#comentario").val(comentario);
			$("#codigo").val(codigo);
			$("#accion").val("update");
		});		
	});
</script>
</body>
</html>
<?php
}
?>